/****************************************************************************
 * (c) 2019 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Spielereien auf 2 nebeneinander angeordneten zweizeiligen Displays
 ***************************************************************************/
#include "i2clcd.h"
#include "lcd.h"

//#define AUGE
//#define ONEDISP

void setup() 
{
  i2clcd_Setup();
  lcd_Setup();
#ifndef  AUGE
  lcd_RundInit();
#endif
}

void loop() 
{
#ifdef AUGE
  lcd_AugenDemo();
#else // EIN / ONE Dipslay: zwei rechts, zwei links = einmal rum (16 Zeichen pro Zeile)
#ifdef ONEDISP
    lcd_Sngl_RundLinks();
    lcd_Sngl_RundLinks();
    lcd_Sngl_RundRechts();
    lcd_Sngl_RundRechts();
#else // ZWEI/ TWO Displays: vier rechts, vier links = einmal rum (16 Zeichen pro Zeile)
    lcd_Two_RundLinks();
    lcd_Two_RundLinks();
    lcd_Two_RundLinks();
    lcd_Two_RundLinks();
    lcd_Two_RundRechts();
    lcd_Two_RundRechts();
    lcd_Two_RundRechts();
    lcd_Two_RundRechts();
#endif
#endif
}
